package com.tzld.piaoquan.tencentad.controller;

import com.tzld.piaoquan.tencentad.common.base.CommonResponse;
import com.tzld.piaoquan.tencentad.model.vo.AdCreativeParam;
import com.tzld.piaoquan.tencentad.service.AdVideoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/ad/creative")
public class AdCreativeController {

    @Autowired
    private AdVideoService adVideoService;

    @PostMapping("/create")
    public CommonResponse<Void> createAdCreative(@RequestBody AdCreativeParam creativeParam) {
        return adVideoService.createAdCreative(creativeParam);
    }
}
