package com.tzld.piaoquan.tencentad.service;

import com.tzld.piaoquan.tencentad.common.base.CommonResponse;
import com.tzld.piaoquan.tencentad.model.po.AdVideoImage;
import com.tzld.piaoquan.tencentad.model.vo.AdVideoImageParam;
import com.tzld.piaoquan.tencentad.model.vo.AdVideoImageVo;
import com.tzld.piaoquan.tencentad.model.vo.AdVideoParam;

import java.util.List;

public interface AdVideoImageService {

    boolean addAdVideoImage(Long adVideoId, String url);

    CommonResponse<List<AdVideoImageVo>> getAdVideoImageVoList(Long adVideoId);

    List<AdVideoImage> getAdVideoImageList(Long adVideoId, Integer status);

    CommonResponse<Void> updateAdVideoImage(AdVideoImageParam adVideoImageParam);

    boolean uploadImageToTencent(String account, String accessToken, Long adVideoId);

    long selectCount(Long adVideoId, Integer status);


}
