package com.tzld.piaoquan.tencentad.service;

import com.tzld.piaoquan.tencentad.common.base.CommonResponse;
import com.tzld.piaoquan.tencentad.model.po.AdVideo;
import com.tzld.piaoquan.tencentad.model.vo.AdCreativeParam;
import com.tzld.piaoquan.tencentad.model.vo.AdVideoParam;
import com.tzld.piaoquan.tencentad.model.vo.AdVideoVo;
import com.tzld.piaoquan.tencentad.utils.page.Page;

import java.util.List;

public interface AdVideoService {

    CommonResponse<Page<AdVideoVo>> getAdVideoList(Integer pageNum, Integer pageSize);

    void buildVideoImage(AdVideo adVideo);

    CommonResponse<Void> createAdCreative(AdCreativeParam adCreativeParam);

    CommonResponse<Void> verifyAdVideo(AdVideoParam adVideoParam);

    void refreshMuseTaskStatus();
}
